/// @addtogroup dynsys
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file Taylor.cpp
///
/// @author Daniel Wilczak
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 

/* Author: Daniel Wilczak 2001-2005 */

#include "dynsys/BasicTaylor.hpp"
#include "dynsys/Taylor.hpp"
#include "vectalg/vectalglib.h"
#include "map/maplib.h"

template class capd::dynsys::Taylor<Map>;
template class capd::dynsys::BasicTaylor<Map>;
template class capd::dynsys::BasicTaylor<capd::map::Map<DMatrix> >;

/// @}
