/// @addtogroup homologicalAlgebra
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file FreeChainComplexZ.cpp
///
/// @author Marian Mrozek
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2006 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 

#include "homologicalAlgebra/homologicalAlgebra.h"
#include "repSet/elementaryCube.h"
#include "repSet/elementaryCell.h"

#include "homologicalAlgebra/FreeChainComplex.hpp"

typedef FreeModule<int,capd::vectalg::Matrix<int,0,0> > ZFreeModule;


template class FreeChainComplex<ZFreeModule>;

template std::ostream& operator<< <ZFreeModule>(std::ostream& out,const FreeChainComplex<ZFreeModule>&);
