/// @addtogroup diffIncl
/// @{

/////////////////////////////////////////////////////////////////////////////
/// @file DiffInclusionCW.cpp
///
/// @author Daniel Wilczak
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2000-2005 by the CAPD Group.
//
// This file constitutes a part of the CAPD library, 
// distributed under the terms of the GNU General Public License.
// Consult  http://capd.wsb-nlu.edu.pl/ for details. 

#include "diffIncl/MultiMap.h"
#include "map/Map.hpp"
#include "vectalg/vectalglib.h"
#include "map/maplib.h"
#include "diffIncl/DiffInclusionCW.hpp"

typedef capd::diffIncl::MultiMap<Map> MultiMap;

template class capd::diffIncl::DiffInclusionCW<MultiMap>;

/// @}
